package it.unibo.cs.lbedogni.layouts;

import android.app.Activity;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import java.util.ArrayList;

public class CardActivity extends Activity {

    private RecyclerView mRecyclerView;
    private RecyclerView.Adapter mAdapter;
    private RecyclerView.LayoutManager mLayoutManager;

    Button btnAdd;
    ArrayList<Cards> myDataset = new ArrayList<Cards>();

    private EditText etTitle;
    private EditText etDesc;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_card);
        mRecyclerView = (RecyclerView) findViewById(R.id.cardRV);

        mRecyclerView.setHasFixedSize(true);

        mLayoutManager = new LinearLayoutManager(this);
        mRecyclerView.setLayoutManager(mLayoutManager);

        mAdapter = new adapterForCard(myDataset);
        mRecyclerView.setAdapter(mAdapter);

        btnAdd = (Button)findViewById(R.id.btnAdd);
        btnAdd.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Log.v("CARD_EXAMPLE","Adding item");
                myDataset.add(new Cards(etTitle.getText().toString(),
                        etDesc.getText().toString()));
                mAdapter.notifyItemInserted(myDataset.size() + 1);
            }
        });

        etDesc = (EditText)findViewById(R.id.etDesc);
        etTitle = (EditText)findViewById(R.id.etTitle);
    }
}
