package it.unibo.cs.lbedogni.layouts;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class LayoutsActivity extends Activity implements OnClickListener {
	
	Button btn_LLvert;
	Button btn_LLhori;
	Button btn_LLmp1;
	Button btn_LLmp2;
	Button btn_LLmp3;
	Button btn_LLweight;
	Button btn_LLgravity;
	Button btn_LLproblem;
	Button btn_RL;
	Button btn_TL;
	Button btn_back;
	Button btn_listview;
	Button btn_constraint;
	Button btn_card;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        setButtons();
    }
    
    private void setButtons() {
    	btn_LLhori = (Button)findViewById(R.id.buttonLLhori);
    	btn_LLvert = (Button)findViewById(R.id.buttonLLvert);
    	btn_LLmp1 = (Button)findViewById(R.id.buttonLLmp1);
    	btn_LLmp2 = (Button)findViewById(R.id.buttonLLmp2);
    	btn_LLmp3 = (Button)findViewById(R.id.buttonLLmp3);
    	btn_LLweight = (Button)findViewById(R.id.buttonLLweight);
    	btn_LLgravity = (Button)findViewById(R.id.buttonLLgravity);
    	btn_LLproblem = (Button)findViewById(R.id.buttonLLproblem);
    	btn_RL = (Button)findViewById(R.id.buttonRelative);
    	btn_TL = (Button)findViewById(R.id.buttonTable);
    	btn_listview = (Button)findViewById(R.id.buttonListView);
    	btn_constraint = (Button)findViewById(R.id.buttonConstraintLayout);
    	btn_card = (Button)findViewById(R.id.buttonCardLayout);
    	
    	btn_LLhori.setOnClickListener(this);
    	btn_LLvert.setOnClickListener(this);
    	btn_LLmp1.setOnClickListener(this);
    	btn_LLmp2.setOnClickListener(this);
    	btn_LLmp3.setOnClickListener(this);
    	btn_LLweight.setOnClickListener(this);
    	btn_LLgravity.setOnClickListener(this);
    	btn_LLproblem.setOnClickListener(this);
    	btn_RL.setOnClickListener(this);
    	btn_TL.setOnClickListener(this);
    	btn_listview.setOnClickListener(this);
    	btn_constraint.setOnClickListener(this);
    	btn_card.setOnClickListener(this);
    }
    
	@Override
	public void onClick(View v) {
		if (v == btn_LLvert) {
			setContentView(R.layout.llvertical);
		} else if (v == btn_LLhori) {
			setContentView(R.layout.llhorizontal);
		} else if (v == btn_LLmp1) {
			setContentView(R.layout.llmatchp1);
		} else if (v == btn_LLmp2) {
			setContentView(R.layout.llmatchp2);
		} else if (v == btn_LLmp3) {
			setContentView(R.layout.llmatchp3);
		} else if (v == btn_LLweight) {
			setContentView(R.layout.llweight11);
		} else if (v == btn_LLgravity) {
			setContentView(R.layout.llgravity);
		} else if (v == btn_LLproblem) {
			setContentView(R.layout.llproblem);
		} else if (v == btn_RL) {
			setContentView(R.layout.rl);
		} else if (v == btn_TL) {
			setContentView(R.layout.tl);
		} else if (v == btn_listview) {
			Intent i = new Intent(LayoutsActivity.this, MyListView.class);
			startActivity(i);
		} else if (v == btn_constraint) {
			Intent i = new Intent(LayoutsActivity.this, RecyclerActivity.class);
			startActivity(i);
		} else if (v == btn_card) {
			Intent i = new Intent(LayoutsActivity.this, CardActivity.class);
			startActivity(i);
		} else {
			setContentView(R.layout.main);
			setButtons();
		}
		btn_back = (Button)findViewById(R.id.buttonBack);
		if (btn_back != null) 
			btn_back.setOnClickListener(this);
	}
}