package it.unibo.cs.lbedogni.layouts;

import android.app.Activity;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.Button;

import java.util.ArrayList;

public class RecyclerActivity extends Activity {

    private RecyclerView mRecyclerView;
    private RecyclerView.Adapter mAdapter;
    private RecyclerView.LayoutManager mLayoutManager;

    Button btnAdd;
    ArrayList<String> myDataset = new ArrayList<String>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.cl);
        mRecyclerView = (RecyclerView) findViewById(R.id.rv_main);

        // use this setting to improve performance if you know that changes
        // in content do not change the layout size of the RecyclerView
        mRecyclerView.setHasFixedSize(true);

        // use a linear layout manager
        mLayoutManager = new LinearLayoutManager(this);
        //mLayoutManager = new StaggeredGridLayoutManager(4, 1);
        mRecyclerView.setLayoutManager(mLayoutManager);

        // specify an adapter (see also next example)

        mAdapter = new adapterForRV(myDataset);
        mRecyclerView.setAdapter(mAdapter);


        btnAdd = (Button)findViewById(R.id.btnAdd);
        btnAdd.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                myDataset.add("Item - " + String.valueOf(myDataset.size() + 1));
                mAdapter.notifyItemInserted(myDataset.size() + 1);
            }
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
        myDataset.add("Item - 1");
        mAdapter.notifyItemInserted(0);
        myDataset.add("Item - 2");
        mAdapter.notifyItemInserted(1);
        myDataset.add("Item - 3");
        mAdapter.notifyItemInserted(2);
        myDataset.add("Item - 4");
        mAdapter.notifyItemInserted(3);
    }
}
